Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Asynch_Write_Stream_Result_Impl Class Reference

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Write_Stream::Result. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Write_Stream_Result_Impl:

[legend]
Collaboration diagram for ACE_Asynch_Write_Stream_Result_Impl:

[legend]
List of all members.

## Public Member Functions
virtual | ~ACE_Asynch_Write_Stream_Result_Impl (void)
virtual size_t | bytes_to_write (void) const =0
virtual ACE_Message_Block & | message_block (void) const =0
| Message block that contains the data to be written.
virtual ACE_HANDLE | handle (void) const =0
| I/O handle used for writing.
## Protected Member Functions
| ACE_Asynch_Write_Stream_Result_Impl (void)
| Do-nothing constructor.

## Detailed Description

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Write_Stream::Result.

## Constructor & Destructor Documentation

ACE_Asynch_Write_Stream_Result_Impl::~ACE_Asynch_Write_Stream_Result_Impl | ( | void |  | ) | `[virtual]`

ACE_INLINE ACE_Asynch_Write_Stream_Result_Impl::ACE_Asynch_Write_Stream_Result_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

## Member Function Documentation

virtual size_t ACE_Asynch_Write_Stream_Result_Impl::bytes_to_write | ( | void |  | ) | const`[pure virtual]`

| The number of bytes which were requested at the start of the asynchronous write. Implemented in ACE_POSIX_Asynch_Write_Stream_Result, ACE_WIN32_Asynch_Write_Stream_Result, and ACE_WIN32_Asynch_Write_File_Result.

virtual ACE_HANDLE ACE_Asynch_Write_Stream_Result_Impl::handle | ( | void |  | ) | const`[pure virtual]`

| I/O handle used for writing. Implemented in ACE_POSIX_Asynch_Write_Stream_Result, ACE_WIN32_Asynch_Write_Stream_Result, and ACE_WIN32_Asynch_Write_File_Result.

virtual ACE_Message_Block& ACE_Asynch_Write_Stream_Result_Impl::message_block | ( | void |  | ) | const`[pure virtual]`

| Message block that contains the data to be written. Implemented in ACE_POSIX_Asynch_Write_Stream_Result, ACE_WIN32_Asynch_Write_Stream_Result, and ACE_WIN32_Asynch_Write_File_Result.

The documentation for this class was generated from the following files:

- Asynch_IO_Impl.h
- Asynch_IO_Impl.cpp
- Asynch_IO_Impl.inl